Package com.collabnet.ce.soap60.webservices.pluggable

# Class PluggableComponentParameterValueSoapDO

java.lang.Object
com.collabnet.ce.soap60.webservices.pluggable.PluggableComponentParameterValueSoapDO

public class PluggableComponentParameterValueSoapDO extends Object
PluggableComponentParameterValueSoapDO represents a pluggable apps param values

Since:
  5.0

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PluggableComponentParameterValueSoapDO()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getId()`
  Returns 'id'.
  `String`
  `getName()`
  Returns 'name'.
  `String`
  `getParamId()`
  Returns 'paramId'.
  `String`
  `getValue()`
  Returns 'value'.
  `static void`
  `registerTypeMappings(org.apache.axis.client.Call call)`
  `void`
  `setId(String id)`
  Sets 'id'.
  `void`
  `setName(String name)`
  Sets 'name'.
  `void`
  `setParamId(String paramId)`
  Sets 'paramId'.
  `void`
  `setValue(String value)`
  Sets 'value'.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### PluggableComponentParameterValueSoapDO

    public PluggableComponentParameterValueSoapDO()

- ## Method Details

  - ### getId

    public String getId()
    Returns 'id'.
    Returns:
      Value of 'id'.

  - ### setId

    public void setId(String id)
    Sets 'id'.
    Parameters:
      `id` - Value of 'id'.

  - ### getParamId

    public String getParamId()
    Returns 'paramId'.
    Returns:
      Value of 'paramId'.

  - ### setParamId

    public void setParamId(String paramId)
    Sets 'paramId'.
    Parameters:
      `paramId` - Value of 'paramId'.

  - ### getName

    public String getName()
    Returns 'name'.
    Returns:
      Value of 'name'.

  - ### setName

    public void setName(String name)
    Sets 'name'.
    Parameters:
      `name` - Value of 'name'.

  - ### getValue

    public String getValue()
    Returns 'value'.
    Returns:
      Value of 'value'.

  - ### setValue

    public void setValue(String value)
    Sets 'value'.
    Parameters:
      `value` - Value of 'value'.

  - ### registerTypeMappings

    public static void registerTypeMappings(org.apache.axis.client.Call call)